This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 225050 - mal-packaged package
mal-packaged package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael DeHaan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-27 23:09 EST by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.3.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 10:33:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-01-27 23:09:44 EST
Description of problem:
https://www.redhat.com/archives/fedora-extras-list/2007-January/msg00429.html

Version-Release number of selected component (if applicable):
All, up to cobbler-0.3.8-1.fc7

Additional info:
You have been ignoring this bug since it has been reported to the f-e-l on Jan 18.
Comment 1 Michael DeHaan 2007-01-29 10:34:23 EST
I have not been "ignoring this "bug".  You neglected to email the owner (me) or
the package mailing list "et-mgmt-tools@redhat.com" directly.  That's all.

The first does not affect the build system, so I do not understand why this is a
problem.  The latter may, though a link to the packaging guidelines that
explains this would better illustrate your argument than declaring it a "NO NO",
which is not helpful.




Comment 2 Ralf Corsepius 2007-01-29 10:52:54 EST
(In reply to comment #1)
> I have not been "ignoring this "bug".  You neglected to email the owner (me) or
> the package mailing list "et-mgmt-tools@redhat.com" directly. 
Whatever this list is, it is irrelevant for Fedora.

> That's all.
This package is part of FE ... YOU as FE maintainer, are supposed to be
subscribed to f-e-l.

> The first does not affect the build system, 
> so I do not understand why this is a
> problem.  The latter may, though a link to the packaging guidelines that
> explains this would better illustrate your argument than declaring it a 
> "NO NO", which is not helpful.

1. Your overly long description breaks rpm viewers. The Guidelines are very
clear on this, rpmlint even warns about it.

2. The buildroot check is non-functional.

3. There are rule of the game, you as an FE maintainer are supposed to obey.



Comment 3 Michael DeHaan 2007-01-29 11:07:43 EST
Comments noted.  Tone not appreciated.

I am subscribed to Fedora-Extras.  I, like many folks, occasionally mis messages
on high traffic lists.  Directing emails to the owner as well as f-e-l is a good
idea as it ensures the things that should be brought to my attention.  Actually,
submitting the bugzilla first instead of posting about it would have been useful
as well, as bugzillas go to the owner directly.  I can't be ignoring a bug that
hasn't been filed yet :)

1.  Thanks for your explanation in #1.  Yes, rpmlint does warn about it, where
it did not do so before.  This can be shortened.  

3.  This isn't a game :).  This is why when sending bug reports it is important
to remain professional and provide as much information as possible.  I have
asked for official documentation on why this is invalid (such as link to
documentation on fedoraproject in the packaging guidelines), do you have any
pointers to such information? 

Comment 4 Ralf Corsepius 2007-01-31 04:24:43 EST
(In reply to comment #3)
> Comments noted.  Tone not appreciated.
> 
> I am subscribed to Fedora-Extras.  I, like many folks, occasionally mis messages 
> on high traffic lists.
Well, ... extras is not really a high traffic list - It's hardly measurable in
the amount of list traffic I receive from mailing list (> 1000mails/day).
Sorting mails into folders and selectively reading helps to get this amount
managable.

>  Directing emails to the owner as well as f-e-l is a good
> idea as it ensures the things that should be brought to my attention.
Ask Togami, ask THL, ask Keating and FESCO why they set reply-to to
fedora-commits-lists they way they do.

I repeatedly asked then, then tried to nagged them and finally could not avoid
to rant at them to improve this situation - Nothing has changed, so you are a
victim of their preference - Replies to commits go to f-e-l only.

They want it this way - So be it.

> submitting the bugzilla first instead of posting about it would have been useful
> as well,

It's waaaaaaaay more effort to bugzilla something than to send a note to a list
rsp. to reply to a mail you are supposed to read, esp. when it comes to minor
and obvious issues like this. - It would have even been less effort to directly
fix this in cvs than wasting time on bugzilla.

"One package - one owner" .. you are facing the consequences of RH's
understanding of collaboration :(

Also - I regret having to state this, and am well aware you will not like it - 
experience tells many folks with an @redhat.com address to be very ignorant
about packaging bugs and to be very ignorant about bugzilla and Fedora in general.

You not responding to my f-e-l made appear you to appear in this class of 
people. I would be glad to see me corrected in your particular case - It would
qualify you as a pleasant exception from the general impression @redhat.com's
tend to communicate.

> 1.  Thanks for your explanation in #1.  Yes, rpmlint does warn about it, where
> it did not do so before.  This can be shortened.  
It does so for ages - IIRC, it even did so during the fedora.us days.

> 3.  This isn't a game :).
It is :-) It's the big, "a company trying to outsouce and buy-in the public"
experiment ;)
Comment 5 Michael DeHaan 2007-01-31 10:33:24 EST
Ignoring the OT discourse, the description length issue is resolved. 



Note You need to log in before you can comment on or make changes to this bug.